import os
import argparse
import subprocess
import multiprocessing

from .evaluation.run_eval import (
    eval_mlvu,
    eval_qaego4d,
    eval_egoschema,
    eval_activitynet_qa,
    eval_rvs_ego,
    eval_rvs_movie,
    eval_cgbench,
)


def run_test():
    parser = argparse.ArgumentParser()
    parser.add_argument("--model", type=str, default="qwen2_5_vl_7b", choices=['qwen2_5_vl_0.5b', 'qwen2_5_vl_3b', 'qwen2_5_vl_7b', 'video_llava_7b', 'longva_7b'])
    parser.add_argument("--num_chunks", type=int, default=1)
    parser.add_argument("--only_eval", action="store_true")
    parser.add_argument("--sample_fps", type=float, default=1)
    parser.add_argument("--n_local", type=int, default=15000)
    parser.add_argument("--retrieve_size", type=int, default=64)
    parser.add_argument("--debug", type=str, default='false')
    args = parser.parse_args()
